org.eclipse.wst.jsdt.chromium.debug.core.efs

## Class ChromiumScriptFileSystem

- java.lang.Object
- - FileSystem
  - - org.eclipse.wst.jsdt.chromium.debug.core.efs.ChromiumScriptFileSystem

    public class ChromiumScriptFileSystem
    extends FileSystem

An in-memory filesystem for remote scripts. The supported URLs are `chromiumdebug:///resource_path`.

### Constructor Summary

Constructors
Constructor and Description
`ChromiumScriptFileSystem()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static java.net.URI` `getFileStoreUri(IPath path)` Constructs a URI by a path.
`IFileStore` `getStore(IPath path)`
`IFileStore` `getStore(java.net.URI uri)`
`static boolean` `isChromiumDebugURI(java.net.URI uri)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ChromiumScriptFileSystem

    public ChromiumScriptFileSystem()

### Method Detail

#### getStore

    public IFileStore getStore(java.net.URI uri)

#### getStore

    public IFileStore getStore(IPath path)

#### getFileStoreUri

    public static java.net.URI getFileStoreUri(IPath path)

Constructs a URI by a path.

Parameters:
  `path` - of a filesystem resource
Returns:
  a URI corresponding to the given `path`

#### isChromiumDebugURI

    public static boolean isChromiumDebugURI(java.net.URI uri)